PGSQL_CONTROL
-- $Id: int_set.m4,v 1.1 2005/03/30 01:42:29 babolo Exp $
CREATE OR REPLACE FUNCTION int4_set(int4, int4, int4) RETURNS SETOF int4
 AS '$libdir/int_set.so.VMAJOR'
  , 'int4_set'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION int4_set(int4, int4) RETURNS SETOF int4
 AS 'SELECT int4_set($1, $2, 1)
    '
 LANGUAGE SQL IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION int2_set(int2, int2, int2) RETURNS SETOF int2
 AS '$libdir/int_set.so.VMAJOR'
  , 'int2_set'
 LANGUAGE C IMMUTABLE STRICT
;
CREATE OR REPLACE FUNCTION int2_set(int2, int2) RETURNS SETOF int2
 AS 'SELECT int2_set($1, $2, 1::int2)
    '
 LANGUAGE SQL IMMUTABLE STRICT
;
COMMENT ON FUNCTION int4_set(int4, int4, int4) IS '   $1   $2   $3';
COMMENT ON FUNCTION int4_set(int4, int4)       IS '   $1   $2   1';
COMMENT ON FUNCTION int2_set(int2, int2, int2) IS '   $1   $2   $3';
COMMENT ON FUNCTION int2_set(int2, int2)       IS '   $1   $2   1';
